Openwrt 19.07 based Gargoyle

Discuss the technical details of Gargoyle and ongoing development

Moderator: Moderators

papka__
Posts: 34
Joined: Tue Nov 19, 2019 4:07 pm

Re: Openwrt 19.07 based Gargoyle

Post by papka__ »

Is it possible to build Gargoyle with support of connection via l2tp to a provider? On OpenWRT used openl2tp-full package which not accessible from default feeds. Tried xl2ltpd, but option not appeared.

RomanHK
Posts: 621
Joined: Sat May 04, 2013 4:18 pm
Location: Czech Republik

Re: Openwrt 19.07 based Gargoyle

Post by RomanHK »

papka__ wrote:
Wed Apr 01, 2020 2:41 pm
Is it possible to build Gargoyle with support of connection via l2tp to a provider? On OpenWRT used openl2tp-full package which not accessible from default feeds. Tried xl2ltpd, but option not appeared.
I do not recommend L2TP because of NSA violations. The explanation is here: viewtopic.php?p=54068#p54068
Turris Omnia with Gargoyle 1.12.0
Linksys WRT3200ACM with Gargoyle 1.12.0
TL-WR1043ND v2 with Gargoyle 1.10.0

DJ Lushious
Posts: 11
Joined: Fri Jul 06, 2018 11:43 am

Re: Openwrt 19.07 based Gargoyle

Post by DJ Lushious »

RomanHK wrote:
Wed Apr 01, 2020 4:57 pm
papka__ wrote:
Wed Apr 01, 2020 2:41 pm
Is it possible to build Gargoyle with support of connection via l2tp to a provider? On OpenWRT used openl2tp-full package which not accessible from default feeds. Tried xl2ltpd, but option not appeared.
I do not recommend L2TP because of NSA violations. The explanation is here: viewtopic.php?p=54068#p54068
I have to use L2TP for work and Gargoyle just won't play nice.

I understand you don't recommend it, but how can we get it to work in Gargoyle? I don't have a choice, but I don't want to re-flash to a different firmware. I will, if I have to, given the pandemic, but if there was a way in Gargoyle it would be greatly appreciated if that information was shared.

RomanHK
Posts: 621
Joined: Sat May 04, 2013 4:18 pm
Location: Czech Republik

Re: Openwrt 19.07 based Gargoyle

Post by RomanHK »

DJ Lushious wrote: I have to use L2TP for work and Gargoyle just won't play nice.

I understand you don't recommend it, but how can we get it to work in Gargoyle? I don't have a choice, but I don't want to re-flash to a different firmware. I will, if I have to, given the pandemic, but if there was a way in Gargoyle it would be greatly appreciated if that information was shared.
Since Gargoyle does not support installing kernel modules (yet), it is completely impossible to start L2TP support manually. Routers with low Flash memory capacity would suffer, so if you want to have L2TP support, you need to compile your own firmware incorporating these protocols - but keep in mind that you need large Flash memory.
Turris Omnia with Gargoyle 1.12.0
Linksys WRT3200ACM with Gargoyle 1.12.0
TL-WR1043ND v2 with Gargoyle 1.10.0

RomanHK
Posts: 621
Joined: Sat May 04, 2013 4:18 pm
Location: Czech Republik

Re: Openwrt 19.07 based Gargoyle

Post by RomanHK »

DJ Lushious wrote: I understand you don't recommend it, but how can we get it to work in Gargoyle?
:idea: You can try the Polish compilation: https://dl.eko.one.pl/gargoyle-pl/, here is partial support for manually installing kernel modules.

However, you must manually configure the protocol over SSH, the GUI may override the settings.
Turris Omnia with Gargoyle 1.12.0
Linksys WRT3200ACM with Gargoyle 1.12.0
TL-WR1043ND v2 with Gargoyle 1.10.0

DJ Lushious
Posts: 11
Joined: Fri Jul 06, 2018 11:43 am

Re: Openwrt 19.07 based Gargoyle

Post by DJ Lushious »

RomanHK wrote:
Tue Apr 14, 2020 4:00 pm
DJ Lushious wrote: I have to use L2TP for work and Gargoyle just won't play nice.

I understand you don't recommend it, but how can we get it to work in Gargoyle? I don't have a choice, but I don't want to re-flash to a different firmware. I will, if I have to, given the pandemic, but if there was a way in Gargoyle it would be greatly appreciated if that information was shared.
Since Gargoyle does not support installing kernel modules (yet), it is completely impossible to start L2TP support manually. Routers with low Flash memory capacity would suffer, so if you want to have L2TP support, you need to compile your own firmware incorporating these protocols - but keep in mind that you need large Flash memory.
I had even flashed my router back to LinkSys firmware and still could not connect via L2TP. Is this an inherent limitation in the support of this hardware?

I don't think this matters, but I am trying to connect via L2TP/IPSEC, not PPTP.

RomanHK
Posts: 621
Joined: Sat May 04, 2013 4:18 pm
Location: Czech Republik

Re: Openwrt 19.07 based Gargoyle

Post by RomanHK »

DJ Lushious wrote: I had even flashed my router back to LinkSys firmware and still could not connect via L2TP. Is this an inherent limitation in the support of this hardware?

I don't think this matters, but I am trying to connect via L2TP/IPSEC, not PPTP.
For proper function L2TP needs a functional GRE protocol (for some routers the function is called "VPN Passthrough") and therefore it is not easy to start L2TP connection.

EDIT: So maybe not "GRE" but "ESP" and "AH" protocol: https://serverfault.com/questions/45138 ... ipsec-lt2p

... look here: https://forum.turris.cz/t/vpn-server-be ... sec/2339/7
Turris Omnia with Gargoyle 1.12.0
Linksys WRT3200ACM with Gargoyle 1.12.0
TL-WR1043ND v2 with Gargoyle 1.10.0

MickO
Posts: 37
Joined: Sun Jan 25, 2015 7:25 am

Re: Version 1.12.0 : New stable version

Post by MickO »

Hello all.
Now running Gargoyle version 1.13.0 on my WR1043ND V2.1 backup router as an AP. Really good and happy so far.
Now for the grunt router.
I'm looking to do the same with my Linksys WRT1200ac. I'm just wondering, dare I try and keep the settings when I upgrade with factory image?
Perhaps it's wiser just to go completely fresh and not attempt it.
If your wondering where I got 1.13.0, it's from the Polish site...
https://dl.eko.one.pl/

Lantis
Moderator
Posts: 5588
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Openwrt 19.07 based Gargoyle

Post by Lantis »

No, the files are definitely not compatible.
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases
Please be respectful when posting. I do this in my free time on a volunteer basis.

User avatar
oliver44
Posts: 38
Joined: Tue Mar 20, 2018 1:29 am
Location: Romanaia

Re: Openwrt 19.07 based Gargoyle

Post by oliver44 »

Hello,
@Lantis I want to thank you for your effort in bringing ipv6 compatibility to Gargoyle as well!
I installed the latest version of Gargoyle with IPv6 on my router wrt1900acs v2, the version proposed by you knows IPv6 Dual Stack in PPPoE ( IPv6 dinamic /64 prin DHCPv6 Prefix Delegation (RFC 3769) ) ? https://lantisproject.com/gargoyle_custom/ipv6/
I ask because I also activated ipv6 and it doesn't work...
wdr3600 rev1.4 SuperWrt/OpenWrt
wrt1900ACS v.2 SuperWrt/OpenWrt
https://superwrt.download/home/
https://superwrt.download/f/

Post Reply